Package groovy.ui.text

# Class SmartDocumentFilter

java.lang.Object
javax.swing.text.DocumentFilter
groovy.ui.text.SmartDocumentFilter

    @Deprecated
    public class SmartDocumentFilter
    extends DocumentFilter

Deprecated.
The document filter based on Parrot's lexer is for highlighting the content of text editor

Since:
  3.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

  `DocumentFilter.FilterBypass`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SmartDocumentFilter​(DefaultStyledDocument styledDocument)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `List<org.antlr.v4.runtime.Token>` | `getLatestTokenList()` | Deprecated.
  `void` | `insertString​(DocumentFilter.FilterBypass fb, int offset, String text, AttributeSet attrs)` | Deprecated.
  `boolean` | `isLatest()` | Deprecated.
  `void` | `remove​(DocumentFilter.FilterBypass fb, int offset, int length)` | Deprecated.
  `void` | `replace​(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attrs)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SmartDocumentFilter

    public SmartDocumentFilter​(DefaultStyledDocument styledDocument)
    Deprecated.

- ## Method Details

  - ### insertString

    public void insertString​(DocumentFilter.FilterBypass fb, int offset, String text, AttributeSet attrs) throws BadLocationException
    Deprecated.
    Overrides:
      `insertString` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### remove

    public void remove​(DocumentFilter.FilterBypass fb, int offset, int length) throws BadLocationException
    Deprecated.
    Overrides:
      `remove` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### replace

    public void replace​(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attrs) throws BadLocationException
    Deprecated.
    Overrides:
      `replace` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### isLatest

    public boolean isLatest()
    Deprecated.

  - ### getLatestTokenList

    public List<org.antlr.v4.runtime.Token> getLatestTokenList()
    Deprecated.